Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6311 - Several bash things are hosed
Summary: Several bash things are hosed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-24 18:47 UTC by alanf
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 17:25:24 UTC


Attachments (Terms of Use)

Description alanf 1999-10-24 18:47:53 UTC
In installing 6.1 I found that the .bashrc file ends with a
floating "fi", which causes a complaint when logging in and
when a new terminal is brought up in GNOME.

The .bashrc file tries to execute "/etc/bashrc" but this
can't happen because the permissions on /etc/bashrc are all
set to "no execute".

Comment 1 Bill Nottingham 1999-10-25 15:30:59 UTC
Which bashrc are you talking about?

/etc/bashrc has:

# /etc/bashrc

# System wide functions and aliases
# Environment stuff goes in /etc/profile

# For some unknown reason bash refuses to inherit
# PS1 in some circumstances that I can't figure out.
# Putting PS1 here ensures that it gets loaded every time.
PS1="[\u@\h \W]\\$ "

and /etc/skel/.bashrc has:

# .bashrc

# User specific aliases and functions

# Source global definitions
if [ -f /etc/bashrc ]; then
	. /etc/bashrc
fi

I don't see any unbalanced ifs here, and sourcing /etc/bashrc
works fine.

Comment 2 Bill Nottingham 1999-10-26 15:38:59 UTC
The permissions on /etc/bashrc are 644;
with those permissions, the exact same snippet of
shell code works fine; i.e.  '. /etc/bashrc'.

Also, I tried adding a user with 'adduser foo', and
it came up with a normal (no extra fi) .bashrc.

Are you using something else to create the users?

Are you sure it's not something else giving you the error?

Comment 3 Cristian Gafton 2000-02-04 17:25:59 UTC
Closed due to lack of feedback


Note You need to log in before you can comment on or make changes to this bug.